Bug 909977 (CVE-2013-0308) - CVE-2013-0308 git: Incorrect IMAP server's SSL x509.v3 certificate validation in git-imap-send command
Summary: CVE-2013-0308 git: Incorrect IMAP server's SSL x509.v3 certificate validation...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0308
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 913587 913588 913593 913595
Blocks: 909985
TreeView+ depends on / blocked
 
Reported: 2013-02-11 15:09 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-13 19:31:20 UTC


Attachments (Terms of Use)
First part (1/3) of proposed upstream patch to correct this (1.47 KB, patch)
2013-02-19 19:22 UTC, Jan Lieskovsky
no flags Details | Diff
Second part (2/3) of proposed upstream patch to correct this (2.48 KB, patch)
2013-02-19 19:23 UTC, Jan Lieskovsky
no flags Details | Diff
Third (final) part (3/3) of proposed upstream patch to correct this (1.83 KB, patch)
2013-02-19 19:24 UTC, Jan Lieskovsky
no flags Details | Diff
Improved second piece of the patchset (2.41 KB, patch)
2013-02-20 13:03 UTC, Adam Tkac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0589 normal SHIPPED_LIVE Moderate: git security update 2013-03-05 02:10:35 UTC

Description Jan Lieskovsky 2013-02-11 15:09:14 UTC
A security flaw was found in the way git-imap-send command (tool to send a collection of patches from stdin to an IMAP folder) of Git performed IMAP server's SSL x509.v3 certificate validation (server's hostname was previously not verified to match the CN field of the particular certificate). A rogue server could use this flaw to conduct man-in-the-middle (MiTM) attacks, possibly leading to disclosure of sensitive information.

References:
[1] https://www.kernel.org/pub/software/scm/git/docs/git-imap-send.html
[2] https://github.com/git/git/blob/master/imap-send.c#L233

Comment 2 Jan Lieskovsky 2013-02-11 15:15:16 UTC
This issue affects the version of the git package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the git package, as shipped with Fedora release of 17 and 18.

--

This issue affects the version of the git package, as shipped with Fedora EPEL 5.

Comment 3 Jan Lieskovsky 2013-02-19 19:17:00 UTC
The CVE identifier of CVE-2013-0308 has been assigned to this issue.

Comment 4 Jan Lieskovsky 2013-02-19 19:22:35 UTC
Created attachment 699610 [details]
First part (1/3) of proposed upstream patch to correct this

Comment 5 Jan Lieskovsky 2013-02-19 19:23:25 UTC
Created attachment 699611 [details]
Second part (2/3) of proposed upstream patch to correct this

Comment 6 Jan Lieskovsky 2013-02-19 19:24:06 UTC
Created attachment 699612 [details]
Third (final) part (3/3) of proposed upstream patch to correct this

Comment 8 Adam Tkac 2013-02-20 13:03:22 UTC
Created attachment 700017 [details]
Improved second piece of the patchset

Comment 11 Stefan Cornelius 2013-02-21 14:46:34 UTC
Created git tracking bugs for this issue

Affects: fedora-all [bug 913593]
Affects: epel-5 [bug 913595]

Comment 13 errata-xmlrpc 2013-03-04 21:13:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0589 https://rhn.redhat.com/errata/RHSA-2013-0589.html

Comment 14 Fedora Update System 2013-06-12 20:09:44 UTC
git-1.8.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.